#import <Cocoa/Cocoa.h>
#import <QuickTime/ImageCompression.h>
#import <QuickTime/QuickTimeComponents.h>

#import "XeeImage.h"

@interface XeeQuicktimeImage:XeeImage
{
	GraphicsImportComponent gi;

	NSMutableArray *subimages;
	int currindex,nextindex;
}
+(NSArray *)fileTypes;

-(id)initWithFile:(NSString *)name firstBlock:(NSData *)block attributes:(NSDictionary *)attributes view:(XeeView *)targetview;

-(BOOL)load;
-(BOOL)loaded;

-(int)frames;
-(void)setFrame:(int)frame;
-(int)frame;

-(void)draw:(NSPoint)point size:(NSSize)size;

-(int)width;
-(int)height;
-(BOOL)transparent;
-(NSColor *)backgroundColor;

@end
